public inbox for gentoo-catalyst@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-catalyst] [PATCH] Allow the use of mksquashfs to pack livecd contents
@ 2021-02-04 11:07 Daniel Cordero
  0 siblings, 0 replies; only message in thread
From: Daniel Cordero @ 2021-02-04 11:07 UTC (permalink / raw
  To: gentoo-catalyst

From: Daniel Cordero <catalyst@0xdc.io>

Users using catalyst outside of the portage tree, or on other
distributions, may not have the gensquashfs tool. mksquashfs still
creates compatible squashfs images for this purpose.

Signed-off-by: Daniel Cordero <catalyst@0xdc.io>
---
 targets/support/target_image_setup.sh | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/targets/support/target_image_setup.sh b/targets/support/target_image_setup.sh
index f9427eaf..045b80b3 100755
--- a/targets/support/target_image_setup.sh
+++ b/targets/support/target_image_setup.sh
@@ -7,8 +7,13 @@ mkdir -p "${1}"
 echo "Creating ${clst_fstype} filesystem"
 case ${clst_fstype} in
 	squashfs)
-		gensquashfs -D "${clst_stage_path}" -q ${clst_fsops} "${1}/image.squashfs" \
-			|| die "Failed to create squashfs filesystem"
+		if command -v mksquashfs; then
+			mksquashfs "${clst_stage_path}" "${1}/image.squashfs" ${clst_fsops} -noappend \
+				|| die "mksquashfs failed"
+		else
+			gensquashfs -D "${clst_stage_path}" -q ${clst_fsops} "${1}/image.squashfs" \
+				|| die "Failed to create squashfs filesystem"
+		fi
 	;;
 	jffs2)
 		mkfs.jffs2 --root="${clst_stage_path}" --output="${1}/image.jffs" "${clst_fsops}" \
-- 
2.26.2



^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2021-02-04 11:08 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-02-04 11:07 [gentoo-catalyst] [PATCH] Allow the use of mksquashfs to pack livecd contents Daniel Cordero

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox